Subject: Re: Building gcc-2.8.1 cross compiler.
From: "David Ryan" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 27 Feb 2002 22:28:47

> > I'm attempting to build gcc-2.8.1 cross compiler using the following
> > configuration..
>
>[why such an old compiler?]

This is the suggested version from Sony to program for the IO Processor of 
the Playstation 2.  Maybe newer versions would be ok, but this is the one 
suggested.

> > ./configure --target=mipsel-scei-elfl --prefix=/usr/local/ps2dev/iop 
>--with-
> > gnu-ld --with-gnu-as
> >
> > I have compiled and installed binutils-2.9.1 into /usr/local/ps2dev/iop
> > before attempting to make gcc.  I am currently getting the following 
>error.
>
>You don't need --with-gnu-ld, --with-gnu-as.  You do have your
>cross-binutils executables (such as mipsel-scei-elfl-as) in your path?

I found the error was related to / being converted to  \.  I did some 
hacking of the source and fixed the problem.  I've written a tutorial as 
part of my ps2 programming web site.  You can see the changes I made here..

http://ps2dev.livemedia.com.au/kb/kb.asp?T=707

Thanks for the ideas and feedback everyone..

David.

_________________________________________________________________
Chat with friends online, try MSN Messenger: http://messenger.msn.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/